Set a new password for a person. Give the new password two times. You cannot change the password of a protected account. You cannot change the password of another administrator who already has a password. You can set the first password of a new administrator. The person gets an email about the change. You must be an administrator.
POST
/actions/persons/{person_id}/change-password
curl
curl -X POST "http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/change-password" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"password": "newSecurePassword123",
"password_2": "newSecurePassword123"
}'
import requests
url = "http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/change-password"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"password": "newSecurePassword123",
"password_2": "newSecurePassword123"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"password": "newSecurePassword123",
"password_2": "newSecurePassword123"
}
Response examples (200)
{
"success": true
}
Response examples (400)
{
"error": true,
"message": "Password is too short."
}